#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	LibMagic
#
Summary:	File::LibMagic - Perlwrapper for libmagic
Summary(pl.UTF-8):	File::Libmagic - Moduł języka Perl opakowujący bibliotekę libmagic
Name:		perl-File-LibMagic
Version:	1.16
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/D/DR/DROLSKY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	de0cc720d1599428be01a7fa50a5cc5b
URL:		http://search.cpan.org/dist/File-LibMagic/
BuildRequires:	libmagic-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Test-Fatal
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The File::LibMagic is a simple perl interface to libmagic library.

%description -l pl.UTF-8
Moduł języka Perl File::LibMagic jest prostym interfejsem do
biblioteki libmagic.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__sed} -i 's/ -lz//' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorarch}/File/*.pm
%dir %{perl_vendorarch}/auto/File/LibMagic
%attr(755,root,root) %{perl_vendorarch}/auto/File/LibMagic/*.so
%{_mandir}/man3/*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-LibMagic.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 80629bb
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> b055503
- updated to 1.16

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4e00663
- perl req/prov fix
- release 6 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 964797f
- rebuild with perl 5.26
- release 5 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8c82498
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9f25561
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> a7c6c09
- x32 rebuild
- release 2 (by relup.sh)

* Tue Nov 11 2014 Andrzej Zawadzki <zawadaa@pld-linux.org> 935f1e6
- up to 1.03
  now builds - needed for amavisd-new 2.10

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bb6bcfb
- removed zero-sized .bs file

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c625a59
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> c11e315
- don't link with -lz (not used)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b900a3
- release 2

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 6706d21
- updated to 0.96

* Mon Jul 21 2008 Marcin Banasiak <marcin.banasiak@gmail.com> b10cefa
- updated to 0.88

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> a214b13
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 571fa33
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 5bd15eb
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> f9e3a48
- up to 0.85

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> c18810a
- non-executable perms for *.ix

* Tue Mar 20 2007 beorn <beorn@pld-linux.org> 689217f
- Polish translation
- Description stripped
- Macros in URL
- Adapterized

